<?php 
class WsCore {
	
	public function getlistado($parametros)
	{
		return AppListado::toListado($parametros);
	}
	
	public function getautocompletar($parametros){
		$objeto = $parametros['objeto'];
		$metodo = $parametros['metodo'];
		$resultado = $objeto::$metodo($parametros);
		if($resultado instanceof AppResultado){
			
		}
		return $resultado->getDatos();
	}
	
	public function login($nick, $pass){
		$usuario = new Usuario();
		$token = $usuario->loginws($nick, $pass);
		if($token == false){
			return  false;
		}
		$salida = array(
				'token'=> $token,
				'url'=> 'http://'.$_SERVER['HTTP_HOST'].BASEURL.'/usuarios/logandroid/token/'.$token
		);
		return $salida;
	}
		
} 